Subject: Re: Northward March of Morels

From: [email-masked] (Bruce R. Bentley)
Date: Sat, 22 Mar 1997 13:47:57 GMT

does anyone know anything about Morels fruiting in the fall in
Colorado?  Would these be something else that just resembles morels?
They looked just like pictures of morels, but not being learned in
mycology, I took one to our local extension agency.  They said morels
don't sprout in the fall, and it has to be something else.  I had
quite a few different varieties of mushrooms growing in my yard last
fall, none of which I recognize.  Very fascinating.  Kat